Bug 167259 - Bug ID field needs to filter out duplicates (sorting them would be cool too)
Bug ID field needs to filter out duplicates (sorting them would be cool too)
Product: Fedora Infrastructure
Classification: Retired
Component: update system (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2005-08-31 20:26 EDT by Mike A. Harris
Modified: 2016-09-19 22:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-13 20:28:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2005-08-31 20:26:41 EDT
Description of problem:
If the same bug number is placed more than once into the bug ID list, the
update tool doesn't notice this and automatically trim out the duplicated

Steps to Reproduce:
1.  Open a new fedora errata
2.  Review spec file changelog between last update and this update
3.  For every bug ID referenced in changelog, cut and paste into bug
    advisory field in update page
4.  Notice that some bugs have multiple changelog entries, and wonder
    wether or not the web cgi will automatically "sort | uniq" the bug
    IDs or not.
5.  Submit errata.

Actual results:
Fedora update tool does not automatically strip out duplicate bug IDs (or
sort them, which might be useful too).

Expected results:
That duplicate bug IDs are stripped out by the tool, as this makes it
easier for developers to just cut and paste all the bug IDs from rpm
changelog without having to visually trim out duplicates.

Bonus feature:
Make it sort the list of IDs after submission and dupe trimming.  ;)

Additional info:
The tool looks very nice, and is a vast improvement over our previous
manual process.  Keep up the fantastic work!
Comment 1 Luke Macken 2005-09-13 20:28:22 EDT
Implemented.  Bugs will all be sorted and free of dupes.

Note You need to log in before you can comment on or make changes to this bug.